RDKit::FMCS::MaximumCommonSubgraph Class Reference

`#include <MaximumCommonSubgraph.h>`

## Public Member Functions

| MaximumCommonSubgraph (const MCSParameters *params)
| ~MaximumCommonSubgraph ()
MCSResult | find (const std::vector< ROMOL_SPTR > &mols)
const ROMol & | getQueryMolecule () const
unsigned | getMaxNumberBonds () const
unsigned | getMaxNumberAtoms () const
bool | checkIfMatchAndAppend (Seed &seed)

## Public Attributes

ExecStatistics | VerboseStatistics

## Detailed Description

Definition at line 32 of file MaximumCommonSubgraph.h.

## Constructor & Destructor Documentation

RDKit::FMCS::MaximumCommonSubgraph::MaximumCommonSubgraph | ( | const MCSParameters * | params | ) |

RDKit::FMCS::MaximumCommonSubgraph::~MaximumCommonSubgraph | ( |  | ) |

inline

Definition at line 70 of file MaximumCommonSubgraph.h.

## Member Function Documentation

bool RDKit::FMCS::MaximumCommonSubgraph::checkIfMatchAndAppend | ( | Seed & | seed | ) |

MCSResult RDKit::FMCS::MaximumCommonSubgraph::find | ( | const std::vector< ROMOL_SPTR > & | mols | ) |

unsigned RDKit::FMCS::MaximumCommonSubgraph::getMaxNumberAtoms | ( |  | ) | const

inline

Definition at line 81 of file MaximumCommonSubgraph.h.

unsigned RDKit::FMCS::MaximumCommonSubgraph::getMaxNumberBonds | ( |  | ) | const

inline

Definition at line 77 of file MaximumCommonSubgraph.h.

const ROMol& RDKit::FMCS::MaximumCommonSubgraph::getQueryMolecule | ( |  | ) | const

inline

Definition at line 74 of file MaximumCommonSubgraph.h.

## Member Data Documentation

ExecStatistics RDKit::FMCS::MaximumCommonSubgraph::VerboseStatistics

Definition at line 66 of file MaximumCommonSubgraph.h.

The documentation for this class was generated from the following file:

- MaximumCommonSubgraph.h